Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.jmx
Class MBeanServerWrapper

    java.lang.Object
      tle.framework.jmx.MBeanServerWrapper

public class MBeanServerWrapper
extends java.lang.Object

MBean 서버에 대한 레퍼 클래스이다.

MBean 서버를 사용하는 클래스는 이 클래스를 통해서 MBean 서버에 접근하게 된다.

Since:
  2.0
Author:
  최범균

Method Summary
`static MBeanServerWrapper` | `getInstance()` MBeanServerWrapper 클래스의 싱글톤 인스턴스를 리턴한다.
`MBeanServer` | `getMBeanServer()` 내부적으로 감싸고 있는 MBeanServer를 리턴한다.
`void` | `registComponent(Component comp)` 지정한 컴포넌트를 MBean 서버에 등록한다.
`void` | `unregistComponent(Component comp)` 지정한 컴포넌트를 MBean 서버에서 제거한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static MBeanServerWrapper getInstance()

  MBeanServerWrapper 클래스의 싱글톤 인스턴스를 리턴한다.

  Returns:
    MBeanServerWrapper

### getMBeanServer

    public MBeanServer getMBeanServer()

  내부적으로 감싸고 있는 MBeanServer를 리턴한다.

  Returns:
    MBeanServer

### registComponent

    public void registComponent(Component comp)
                         throws InstanceAlreadyExistsException,
                                MBeanRegistrationException,
                                NotCompliantMBeanException,
                                MalformedObjectNameException

  지정한 컴포넌트를 MBean 서버에 등록한다.

  MBean의 객체 이름은 "TLE:type=클래스완전한이름,ID=컴포넌트ID"의 형태를 띈다.

  Parameters:
    `comp` - 등록할 MBean 컴포넌트
  Throws:
    `NotCompliantMBeanException`
    `MBeanRegistrationException`
    `InstanceAlreadyExistsException`
    `MalformedObjectNameException`

### unregistComponent

    public void unregistComponent(Component comp)
                           throws InstanceNotFoundException,
                                  MBeanRegistrationException

  지정한 컴포넌트를 MBean 서버에서 제거한다.

  Parameters:
    `comp` - 제거할 컴포넌트
  Throws:
    `MBeanRegistrationException`
    `InstanceNotFoundException` - 등록된 MBean이 아닌 경우에 발생한다.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD